from libufps import ufps
from inspect import getmembers, isfunction
print(getmembers(ufps, isfunction))

basedir = "."

ufps = ufps.ufps(basedir)

print("Regular dir:  " + str(ufps.getFilePermissions("tests/testfiles/")) + " | " + str(ufps.getFileOwner("tests/testfiles/")))
print("Regular file: " + str(ufps.getFilePermissions("tests/testfiles/0644")) + " | " + str(ufps.getFileOwner("tests/testfiles/0644")))
print("Linked dir:   " + str(ufps.getFilePermissions("tests/testfiles/linktests/link")) + " | " + str(ufps.getFileOwner("tests/testfiles/linktests/link")))
print("Linked file:  " + str(ufps.getFilePermissions("tests/testfiles/linktests/linkfile")) + " | " + str(ufps.getFileOwner("tests/testfiles/linktests/linkfile")))
